///////////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2018 Leszek Koltunski  leszek@koltunski.pl                                          //
//                                                                                               //
// This file is part of Distorted.                                                               //
//                                                                                               //
// This library is free software; you can redistribute it and/or                                 //
// modify it under the terms of the GNU Lesser General Public                                    //
// License as published by the Free Software Foundation; either                                  //
// version 2.1 of the License, or (at your option) any later version.                            //
//                                                                                               //
// This library is distributed in the hope that it will be useful,                               //
// but WITHOUT ANY WARRANTY; without even the implied warranty of                                //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU                             //
// Lesser General Public License for more details.                                               //
//                                                                                               //
// You should have received a copy of the GNU Lesser General Public                              //
// License along with this library; if not, write to the Free Software                           //
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA                //
///////////////////////////////////////////////////////////////////////////////////////////////////

precision highp float;

in vec2 v_TexCoordinate;                // Interpolated texture coordinate per fragment.
out vec4 fragColor;
uniform vec4 u_Color;
uniform sampler2D u_Texture;            // The input texture.

//////////////////////////////////////////////////////////////////////////////////////////////

void main()
  {
  vec4 color = texture(u_Texture,v_TexCoordinate);
  fragColor  = vec4(u_Color.rgb, sign(color.a)*u_Color.a);
  }